
###
###  Copyright 2000-2005 University of Illinois Board of Trustees
###  All rights reserved.
###
###  Makefile.PL - configuration rules for psgconf
###
###  Campus Information Technologies and Educational Services
###  University of Illinois at Urbana-Champaign
###


use ExtUtils::MakeMaker;
use Getopt::Long;

use strict;


my ($etc_dir, $share_dir);

$etc_dir	= '/etc';
$share_dir	= '$(PREFIX)/share/psgconf';

GetOptions(
	'etcdir=s'		=> \$etc_dir,
	'sharedir=s'		=> \$share_dir
) || die "Usage: $0 [--etcdir=DIR] [--sharedir=DIR]\n";


sub MY::postamble
{
	return 'SHARE_DIR	= ' . $share_dir . '
ETC_DIR		= ' . $etc_dir . '

install ::
	$(MKPATH) $(SHARE_DIR)/config
	$(CP) config/*.conf $(SHARE_DIR)/config
	$(MKPATH) $(SHARE_DIR)/files
	$(CP) files/rc.shutdown $(SHARE_DIR)/files
	$(CP) files/magic $(SHARE_DIR)/files
	if [ ! -f $(ETC_DIR)/psg.conf ]; then \\
		$(CP) etc/psg.conf $(ETC_DIR); \\
	fi
	if [ ! -f $(ETC_DIR)/psgconf_modules ]; then \\
		$(CP) etc/psgconf_modules $(ETC_DIR); \\
	fi
';
}


WriteMakefile(
	'NAME'		=> 'PSGConf',
	'DISTNAME'	=> 'psgconf',
	'VERSION_FROM'	=> 'sbin/psgconf',
	'PREREQ_PM'	=> {
				'Config::Objective'	=> '0.9.1',
				'NetAddr::IP'		=> 3.11,		# For Control::Network
				'Proc::ProcessTable'	=> 0.35,	# For Action::RestartDaemon
				'Unix::Mknod'	=> 0.02,			# For Action::MkNod
				'version'		=> 0.29			# For Action::PackageManager
			   },
	'INSTALLSCRIPT'	=> '$(PREFIX)/sbin',
	'EXE_FILES'	=> [ qw(
				sbin/psgconf
				sbin/platform-name
			   ) ],
	## Add these new keywords supported since 5.005
	($] >= 5.005 ? (
	'ABSTRACT_FROM'	=> 'sbin/psgconf')
	: ()),
);


